package com.pcloud.book.personal.biz;

import com.pcloud.book.personal.dto.PcloudLabelGroupDto;
import com.pcloud.book.personal.dto.PcloudUserLabelDto;
import com.pcloud.book.personal.entity.PcloudUserLabel;

import java.util.List;

public interface PcloudUserLabelBiz {
    List<PcloudUserLabelDto> getPcloudUserLabelList(String wechatUserId);

    void addPcloudUserLabel(List<PcloudUserLabel> pcloudUserLabels, Long wechatUserId);

    void deletePcloudUserLabel(Integer id);

    List<PcloudLabelGroupDto> getPcloudLabelGroup();

    void batchDeletePcloudUserLabel(List<Integer> ids);
}
